Rapid7 Vulnerability & Exploit Database

Oracle Solaris 11: CVE-2015-0816: Vulnerability in Firefox

Back to Search

Oracle Solaris 11: CVE-2015-0816: Vulnerability in Firefox

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:N/I:P/A:N)
Published
04/01/2015
Created
07/25/2018
Added
05/29/2017
Modified
02/01/2022

Description

Mozilla Firefox before 37.0, Firefox ESR 31.x before 31.6, and Thunderbird before 31.6 do not properly restrict resource: URLs, which makes it easier for remote attackers to execute arbitrary JavaScript code with chrome privileges by leveraging the ability to bypass the Same Origin Policy, as demonstrated by the resource: URL associated with PDF.js.

Solution(s)

  • oracle-solaris-11-2-upgrade-web-browser-firefox-31-6-0-0-175-2-11-0-3-0
  • oracle-solaris-11-2-upgrade-web-browser-firefox-multi-user-desktop-31-6-0-0-175-2-11-0-3-0
  • oracle-solaris-11-2-upgrade-web-data-firefox-bookmarks-31-6-0-0-175-2-11-0-3-0
  • oracle-solaris-11-3-upgrade-consolidation-desktop-desktop-incorporation-0-5-11-0-175-3-0-0-28-0

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;